Bug 1295117 - Adding mono macros
Adding mono macros
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: epel-rpm-macros (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1220138 1286889
  Show dependency treegraph
 
Reported: 2016-01-02 10:13 EST by Timotheus Pokorra
Modified: 2016-03-17 14:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: epel-rpm-macros-7-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-17 14:59:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timotheus Pokorra 2016-01-02 10:13:28 EST
Can you please add the mono macros from Fedora:
http://pkgs.fedoraproject.org/cgit/redhat-rpm-config.git/tree/macros.mono-srpm
to http://pkgs.fedoraproject.org/cgit/epel-rpm-macros.git/tree/?h=epel7

This would be helpful, even in Copr builds, that we could rely on those macros and don't have to pollute the spec files.

And it would be a preparation for Mono 4 in Epel, whenever that happens.
Comment 1 Kevin Fenzi 2016-01-02 16:25:30 EST
Are these same macros used for exising older mono builds in epel7?

Will adding them break any of those existing builds?
Comment 2 Timotheus Pokorra 2016-01-04 05:17:43 EST
I have checked the current spec file of Mono (2.10.8) for Epel7:
http://pkgs.fedoraproject.org/cgit/mono.git/tree/mono.spec?h=epel7

There is no definition and no usage of mono_arches, _monodir nor _monogacdir.

There is a definition for monodir:
%define monodir /usr/lib/mono

But the name is without the underscore, so there is no conflict.
Comment 3 Fedora Update System 2016-02-29 18:51:57 EST
epel-rpm-macros-7-7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c9cfaac281
Comment 4 Fedora Update System 2016-03-01 21:24:07 EST
epel-rpm-macros-7-7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c9cfaac281
Comment 5 Fedora Update System 2016-03-17 14:59:44 EDT
epel-rpm-macros-7-7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.